<?php
/**
* ユーザ入力によるエラー
*
* PHP version 5
*
* @package    exceptions
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class charcoal_UserError
{
	private $_code;
	private $_info;

	public function __construct( $code, $error_info )
	{
		$this->_code = $code;
		$this->_info = $error_info;
	}

	/**
	 *   エラーコード
	 */
	function getErrorCode()
	{
		return $this->_code;
	}

	/**
	 *   エラー情報
	 */
	function getErrorInfo( $key )
	{
		return isset($this->_info[$key]) ? $this->_info[$key] ? NULL;
	}

}
